%define module   Data-TreeDumper
%define version  0.35
%define release  %mkrel 1

%define _requires_exceptions perl(Data::TreeDumper::OO)

Name:       perl-%{module}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Improved replacement for Data::Dumper
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Data/%{module}-%{version}.tar.gz
BuildRequires: perl(Class::ISA)
BuildRequires: perl(Check::ISA)
BuildRequires: perl(Devel::Size)
BuildRequires: perl(Sort::Naturally)
BuildRequires: perl(Term::Size)
BuildRequires: perl(Text::Wrap)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Data::Dumper and other modules do a great job of dumping data structures. Their
output, however, often takes more brain power to understand than the data
itself. When dumping large amounts of data, the output can be overwhelming and
it can be difficult to see the relationship between each piece of the dumped
data.

Data::TreeDumper also dumps data in a tree-like fashion but hopefully in a
format more easily understood.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/Data


%changelog
* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdv2009.1
+ Revision: 300779
- new version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.33-3mdv2009.0
+ Revision: 268411
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-2mdv2009.0
+ Revision: 213661
- fix excessive dependencies

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-1mdv2009.0
+ Revision: 213632
- import perl-Data-TreeDumper


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-1mdv2009.0
- first mdv release
